### Method

# Vte Terminal get_enable_shaping

since: 0.58

#### Declaration [src]

    gboolean
    vte_terminal_get_enable_shaping (
      VteTerminal* terminal
    )

#### Description [src]

Checks whether the terminal shapes Arabic text.

Available since: 0.58

Gets property | `Vte.Terminal:enable-shaping`

#### Return value

Type: `gboolean`

`TRUE` if Arabic shaping is enabled, `FALSE` if not.